# Language: German
---
outlines:
    default:          { width: 35.657, height: 52 }
    change-view:      { width: 53.485, height: 52 }
    spaceline:        { width: 89.144, height: 52 }
    special:          { width: 35.657, height: 52 }
    special-2:        { width: 53.485, height: 52 }
    subtle-highlight: { width: 35.657, height: 52 }

views:
    base:
        - "q w e r t z u i o p"
        - "a s d f g h j k l ß"
        - "show_upper y x c v b n m BackSpace"
        - "show_numbers show_eschars preferences space , . Return"
    upper:
        - "Q W E R T Z U I O P"
        - "A S D F G H J K L -"
        - "show_upper Y X C V B N M BackSpace"
        - "show_numbers show_eschars preferences space ! ? Return"
    numbers:
        - "1 2 3 4 5 6 7 8 9 0"
        - "@ # € % & - _ + ( )"
        - "show_symbols ; \" ' : = < > BackSpace"
        - "show_letters show_eschars preferences space , . Return"
    symbols:
        - "~ ` ´ | · √ µ ÷ × ¶"
        - "© ® £ $ ¥ ^ ° * { }"
        - "show_numbers \\ / § π τ [ ] BackSpace"
        - "show_letters show_eschars preferences space , . Return"
    eschars:
        - "ä è é ö ü Ä È É Ö Ü"
        - "à â ê î ô À Â Ê Î Ô"
        - "show_numbers « » ç Ç æ œ ß-subtle-highlight BackSpace"
        - "show_letters show_eschars preferences space „ “ Return"

buttons:
    show_upper:
        action:
            locking:
                lock_view: "upper"
                unlock_view: "base"
        outline: "change-view"
        icon: "key-shift"
    BackSpace:
        outline: "special-2"
        icon: "edit-clear-symbolic"
        action: "erase"
    preferences:
        action: "show_prefs"
        outline: "special"
        icon: "keyboard-mode-symbolic"
    show_numbers:
        action:
            set_view: "numbers"
        outline: "change-view"
        label: "123"
    show_letters:
        action:
            set_view: "base"
        outline: "change-view"
        label: "ABC"
    show_symbols:
        action:
            set_view: "symbols"
        outline: "change-view"
        label: "*/="
    show_eschars:
        action:
            locking:
                lock_view: "eschars"
                unlock_view: "base"
        outline: "change-view"
        label: "Ää"
    space:
        outline: "spaceline"
        text: " "
    Return:
        outline: "special-2"
        icon: "key-enter"
        keysym: "Return"
    ä:
        outline: "subtle-highlight"
    ö:
        outline: "subtle-highlight"
    ü:
        outline: "subtle-highlight"
    Ä:
        outline: "subtle-highlight"
    Ö:
        outline: "subtle-highlight"
    Ü:
        outline: "subtle-highlight"
    ß-subtle-highlight:
        outline: "subtle-highlight"
        text: "ß"
